Hi,

I am integrating PushWoosh Android SDK into my project. We already use the google play service library with a specific version (4.2.2, API 17) and we cannot update this. Apparently this version is not compatible with the current PushWoosh SDK. I encounter a crash at launch :

java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/android/gms/iid/InstanceID; at com.pushwoosh.GCMRegistrationService.register(GCMRegistrationService.java:37) at com.pushwoosh.GCMRegistrationService.onHandleIntent(GCMRegistrationService.java:106) at android.app.IntentService$ServiceHandler.handleMessage(IntentService.java:65) at android.os.Handler.dispatchMessage(Handler.java:102) at android.os.Looper.loop(Looper.java:135) at android.os.HandlerThread.run(HandlerThread.java:61)

Had someone already solve this issue without updating the Google Play Service library ? Florian.

asked 19 May '16, 14:15
developer_ohbibi's gravatar image

developer_oh...
111

Someone can help me ? I upgraded the google play services and it did not solve the issue.

permanent link
answered 24 May '16, 14:59
developer_ohbibi's gravatar image

developer_oh...
111

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×434
×319
×28
×15

question asked: 19 May '16, 14:15

question was seen: 807 times

last updated: 24 May '16, 14:59